<?php
define('EC_PATH', plugin_dir_path(__FILE__));
define('EC_RPATH', dirname( plugin_basename( __FILE__ ) ));
define('EC_URL', plugins_url('', __FILE__));
define('EC_TEXTDOMAIN', 'erplycart');
define('EC_DEBUG', true);
define('EC_VERSION', 1.0);

// Load helpers
require_once(EC_PATH . '/lib/helpers/ECLog.class.php');
require_once(EC_PATH . '/lib/helpers/ECException.class.php');
require_once(EC_PATH . '/lib/helpers/ECSessionHandler.class.php');
require_once(EC_PATH . '/lib/helpers/ECOptions.class.php');
require_once(EC_PATH . '/lib/helpers/View.class.php');
require_once(EC_PATH . '/lib/helpers/API.class.php');
require_once(EC_PATH . '/lib/helpers/ERPLYAPI.class.php');
require_once(EC_PATH . '/lib/helpers/Validator.class.php');
require_once(EC_PATH . '/lib/helpers/ECForm.class.php');
require_once(EC_PATH . '/lib/helpers/ec_helper_functions.php');

//Load Widgets 
require_once(EC_PATH . '/lib/widgets/ECCart.widget.php');
require_once(EC_PATH . '/lib/widgets/ECCategories.widget.php');
//require_once(EC_PATH . '/lib/widgets/ECTopProducts.widget.php');
require_once(EC_PATH . '/lib/widgets/ECLogin.widget.php');
require_once(EC_PATH . '/lib/widgets/ECFrontProducts.widget.php');

//Load Core Classes
require_once(EC_PATH . '/lib/sync/ECCron.class.php');
require_once(EC_PATH . '/lib/ECSettings.class.php');
require_once(EC_PATH . '/lib/ECProduct.class.php');
require_once(EC_PATH . '/lib/ECAjaxAdmin.class.php');
require_once(EC_PATH . '/lib/ECAjax.class.php');
require_once(EC_PATH . '/lib/sync/ECSync.class.php');
require_once(EC_PATH . '/lib/sync/ECSyncProduct.class.php');
require_once(EC_PATH . '/lib/sync/ECSyncCategory.class.php');
require_once(EC_PATH . '/lib/ECUser.class.php');
require_once(EC_PATH . '/lib/ECOrder.class.php');
require_once(EC_PATH . '/lib/ECCart.class.php');
require_once(EC_PATH . '/lib/ECCheckout.class.php');
require_once(EC_PATH . '/lib/ECHandleGateways.class.php');
require_once(EC_PATH . '/lib/ECHandleShipping.class.php');
require_once(EC_PATH . '/lib/ECGateway.class.php');
require_once(EC_PATH . '/lib/ECShipping.class.php');

// Load Gateways 
require_once(EC_PATH . '/lib/gateways/seb.gateway.php');
require_once(EC_PATH . '/lib/gateways/swed.gateway.php');
require_once(EC_PATH . '/lib/shipping/smartpost.shipping.php');
require_once(EC_PATH . '/lib/shipping/post24.shipping.php');
require_once(EC_PATH . '/lib/shipping/erply.shipping.php');

require_once(EC_PATH . '/lib/ECBase.class.php');

