<?php 

class SEB_Gateway extends ECGateway
{
	public function set_parameters()
	{
		$this->name = __('SEB Payment Gateway',EC_TEXTDOMAIN);
	}

	public function set_admin_fields()
	{
		return array(
			array(
				'id' => 'seb_client_code',
				'type' => 'text',
				'label' => __('Your Client Code',EC_TEXTDOMAIN)
			),
			array(
				'id' => 'seb_password',
				'type' => 'text',
				'label' => __('Your Password',EC_TEXTDOMAIN)
			),
			
		);
	}
}

function register_seb($gateways)
{
    $gateways[] = 'SEB_Gateway';
    return $gateways;
}

add_filter('ec_register_gateways', 'register_seb');