<?php 	
class ECLog {
	
	public static function info($msg)
    {
    	self::log_to_file($msg, 'info');
    } // end info()

    public static function error($msg)
    {
    	self::log_to_file($msg, 'error');
    } // end error()

    public static function debug($msg)
    {
        self::log_to_file(print_r($msg, true), 'debug');
    } // end debug()

    public static function erply($method, $code)
    {
    	self::log_to_file('Inventory.com error code from '. $method .'() method: ' . $code, 'api');
    } // end erply()

    private static function log_to_file($msg, $type = 'info') { 
    	$filename = EC_PATH . '/log/log-' . date('Y-m-d') . '.txt';
	    $fd = fopen($filename, "a"); 
	    $str = "[" . date("Y/m/d h:i:s", time()) . "][" . $type . "]" . $msg . "\r\n";
	    fwrite($fd, $str );
	    fclose($fd); 
	}

} // end ECLog class