<?php
class ECOptions {
	private static $instance = null;
	public $main, $login, $page, $design, $all;

	private function __construct()
	{
		$this->main = (array)get_option( 'ec_main_settings' );
		$this->login = (array)get_option( 'ec_login_settings' );
        $this->page = (array)get_option( 'ec_pages_settings' );
        $this->design = (array)get_option( 'ec_design_settings' );
        $this->all = array_merge($this->main, $this->login, $this->page, $this->design);
	}

	public static function get_instance()
	{
		if(self::$instance == null)
			self::$instance = new self;
		return self::$instance;
	}
}