<?php 

class Post24_Shipping extends ECShipping
{
	public function set_parameters()
	{
		$this->name = __('Post24 Shipping Module',EC_TEXTDOMAIN);
	}

	public function set_admin_fields()
	{
		return array(
			array(
				'id' => 'seb_client_code',
				'type' => 'text',
				'label' => __('Your Client Code',EC_TEXTDOMAIN)
			),
			array(
				'id' => 'seb_password',
				'type' => 'text',
				'label' => __('Your Password',EC_TEXTDOMAIN)
			),
			
		);
	}
}

function register_post24($gateways)
{
    $gateways[] = 'Post24_Shipping';
    return $gateways;
}

add_filter('ec_register_shipping_modules', 'register_post24');