<div id="product-<?php the_ID(); ?>" <?php post_class('entry-content ec_product_full'); ?>>

    <div class="images" id="ec_swipeGallery">
        <?php echo $img ?>
    </div>

    <div class="summary">

        <h1 class="ec_product_title entry-title"><?php the_title(); ?></h1>
        <div class="description">
            <p><?php the_excerpt() ?></p>
        </div>
        <p class="price"><span class="amount"><?php echo $price  ?></span></p>
    
        <?php foreach ($attributes as $name => $label) : ?>
        <?php 
        $attr = $product->get_attr($name);
        if(!empty($attr)) : ?>
            <p class="ec_ean"><?php echo $label ?>: <span class="amount"><?php echo $attr; ?></span></p>
        <?php endif; ?>            
        <?php endforeach ?>
        <div id="ec_addCart">
            <div class="quantity">
                <input type="button" value="-" class="minus">
                <input name="quantity" value="1" title="<?php _e('Qty', EC_TEXTDOMAIN); ?>" class="qty" maxlength="5">
                <input type="button" value="+" class="plus">
            </div>

            <button class="ec_addToCart" data-product="<?php the_ID() ?>"><?php _e('Add to cart', EC_TEXTDOMAIN); ?></button>
            <img src="<?= EC_URL. '/assets/img/loader.gif' ?>" class="ec_cart_preLoader" style="display: none">
        </div>

        <p class="ec_stock">
            <?php if(!empty($stock)) : ?>
                <span class="amount"><?php echo $stock; ?></span>
            <?php else : ?>
                <button class="ec_getStock button" data-product="<?php the_ID() ?>"><?php _e('Get Stock', EC_TEXTDOMAIN); ?></button>
            <?php endif; ?>
        </p>
        
        <div class="product_meta">
            
        </div>

    </div><!-- .summary -->
    <div class="clear"></div>
    
    <?php include(EC_PATH. 'templates/parts/single-page-tabs.tpl.php'); ?>

</div>