<?php
//quit if run directly
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) exit();

//unistall
uninstall();

function uninstall()
{
	//delete options
    delete_option( 'ec_pages_settings' );
    delete_option( 'ec_main_settings' );
    delete_option( 'ec_login_settings' );

    //delete posts
	$query = new WP_Query(array(
		'post_type' => array('product'),
    	'posts_per_page' => -1
    ));
    if ($query->have_posts()) {
    	while ($query->have_posts()) {
			$query->the_post();
			wp_delete_post(get_the_ID(), 'category');
		}
    }
	wp_reset_postdata();


	//delete taxonmy
    $terms = get_terms('product-category', 'hide_empty=0');
	$count = count($terms);
	if ($count > 0) {
		foreach ($terms as $term) {
			wp_delete_term($term->term_id, 'product-category');
		}
    }
    
    //delete custom tables
    global $wpdb;
    $table_name = $wpdb->prefix . "ec_termmeta";
    $wpdb->query("DROP TABLE IF EXISTS $table_name");

    $table_name = $wpdb->prefix . "ec_sessions";
    $wpdb->query("DROP TABLE IF EXISTS $table_name");
}