<?php if($this->orders['status'] == 'ok'): ?>
<div id="ec_tabs">
    <ul>
        <?php foreach($this->orders['groups'] as $k => $v): ?>
            <li><a href="#<?php echo $k ?>"><?php echo $v['name'] ?></a></li>
        <?php endforeach; ?>
    </ul>
    <?php foreach($this->orders['groups'] as $k => $v): ?>
        <div id="<?php echo $k ?>">
            <table>
                <tr>
                    <th><?php _e('Client name', EC_TEXTDOMAIN); ?></th>
                    <th class="ec_hide_mobile"><?php _e('Invoice number', EC_TEXTDOMAIN); ?></th>
                    <th><?php _e('Date', EC_TEXTDOMAIN); ?></th>
                    <th><?php _e('Invoice', EC_TEXTDOMAIN); ?></th>
                    <th class="ec_hide_mobile"><?php _e('Payment Status', EC_TEXTDOMAIN); ?></th>
                    <th><?php _e('Total', EC_TEXTDOMAIN); ?></th>
                    <th><?php _e('ReOrder', EC_TEXTDOMAIN); ?></th>
                </tr>
                <?php
                foreach($v['records'] as $order):  ?>
                    <tr class="ec_table_row <?php echo strtolower($order->paymentStatus); echo ' '.strtolower($order->invoiceState) ?>">
                        <td><?php echo $order->clientName ?></td>
                        <td class="ec_hide_mobile"><?php echo $order->number ?></td>
                        <td><?php echo $order->date ?></td>
                        <td>
                            <a target="_blank" href="<?php echo $order->invoiceLink ?>">
                                <?php _e('Link', EC_TEXTDOMAIN); ?>
                            </a>
                        </td>
                        <td class="ec_hide_mobile ec_payment_status"><?php echo $order->paymentStatus ?></td>

                        <td class="ec_total"><?php echo ec_price($order->total) ?></td>
                        <td>
                            <form method="post">
                                <input type="hidden" name="ec_action" value="ec_repeat_order">
                                <?php
                                    if(isset($order->rows) && !empty($order->rows)):
                                        foreach($order->rows as $row):
                                            echo '<input type="hidden" name="erply_products['.$row->productID.']" value="'.$row->amount.'">';
                                        endforeach;
                                        echo '<input type="submit" class="ec_reorder" value="'.__('ReOrder', EC_TEXTDOMAIN).'">';
                                    endif;
                                ?>
                            </form>
                        </td>
                    </tr>
                    <?php if(!empty($order->notes)): ?>
                    <tr class="ec_order_notes">
                        <td colspan="5">
                            <strong><?php _e('Notes', EC_TEXTDOMAIN); ?>:</strong>
                            <div><?php echo $order->notes ?></div>
                        </td>
                    </tr>
                    <?php endif; ?>
                <?php endforeach; ?>
            </table>
        </div>
    <?php endforeach; ?>
</div>
<?php
else:
    echo $this->orders['msg'];
endif;
?>