<?php 
class ECAjaxAdmin {

    private static $instance = null;
 
    public static function get_instance() 
    { 
        if ( null == self::$instance ) 
            self::$instance = new self; 
        return self::$instance;
    } // end get_instance()
 
    private function __construct() 
    {
 		 // get_product_stock()
        add_action('wp_ajax_ec_sync_products', array($this, 'sync_products'));
        // add_action('wp_ajax_nopriv_ec_sync_products', array($this, 'sync_products'));
 		add_action('wp_ajax_ec_sync_categories', array($this, 'sync_categories'));
        add_action('pre_get_posts', array(&$this, 'pre_get'));
    } // end constructor()

    public function sync_products()
    {
        //todo nonce
    	add_action('widgets_init', array($this, 'unregister_default_wp_widgets'), 1);
    	global $wpdb;
    	$page = $_POST['page'];
    	$sync = ECSync::get_instance();
    	$result = $sync->sync($page);
    	die(json_encode($result));
    } // end sync_products()

    public function pre_get(){
        global $wp_query;
        //$wp_query->query_vars['no_found_rows'] = 1;
        return $wp_query;
    }

    public function sync_categories()
    {
        $options = ECOptions::get_instance();
        //TODO Nonce Add
        if(empty($options->login['username']) || empty($options->login['password']) || empty($options->login['clientID'])) {
            die(json_encode(array('status' => 'error', 'msg' => __('Inventory.com account information not set. Please navigate to eCommerce -> Settings and follow the instructions.',EC_TEXTDOMAIN))));
        } else {
            $sync = ECSync::get_instance();
            $sync->sync_categories();
            // die(json_encode(array('status' => 'ok')));
            die();
        }
    }
} // end ECAjaxAdmin class