<?php
class ECShipping {
	public function __construct()
	{
		$this->set_parameters();
		$this->id = strtolower(function_exists('get_called_class') ? get_called_class() : get_class($this));
	}

	public function get_fields()
	{
		$gatewayFields = $this->set_admin_fields();
		$defaultFields = $this->set_default_fields();

		return is_array($gatewayFields) && is_array($defaultFields) ? 
				array_merge($defaultFields, $gatewayFields) :
				array();
	}

	public function set_default_fields()
	{
		return array(
			array(
				'id' => 'enabled',
				'type' => 'checkbox',
				'label' => __('Enable',EC_TEXTDOMAIN)
			),
			array(
				'id' => 'description',
				'type' => 'text',
				'label' => __('Description',EC_TEXTDOMAIN)
			)
		);
	}

	public function set_admin_fields()
	{
		return array();
	}
    public function render_front_fields()
    {
        $sID = 'ec_'. $this->id .'_settings';
        $options = get_option( $sID );

        $html = '<li>
                    <input type="radio" id="'. $sID .'" name="shipping_method['.$this->id.']" value="'. $sID .'">
                    <label for="'. $sID .'">'. $this->name .'</label>';

        if(!empty($module['description']))
            $html.= '<div class="shippment_box" style="">
                        <p>'. $options['description'] .' </p>
                     </div>';

            $html .= '</li>';
        echo $html;
    }

}