<?php
class ERPLYAPI extends ERPLY {

    private static $instance = null;
 
    public static function get_instance() 
    { 
        if ( null == self::$instance ) 
            self::$instance = new self;
        return self::$instance; 
    } // end get_instance;
 
    public function __construct() 
    {
    	$options = ECOptions::get_instance();
 		
 		$username = isset($options->login['username']) ? $options->login['username'] : '';
		$password = isset($options->login['password']) ? $options->login['password'] : '';
		$clientID = isset($options->login['clientID']) ? $options->login['clientID'] : '';

    	parent::__construct($username, $password, $clientID);
    } // end constructor
}

