<?php

class ERPLY_Shipping extends ECShipping
{
    public function __construct()
    {
       	$this->erply = ERPLYAPI::get_instance();
        parent::__construct();
        add_filter('ec_register_shipping_modules', array($this, 'register_erply'));
    }
	public function set_parameters()
	{

		$this->name = __('ERPLY Shipping Module',EC_TEXTDOMAIN);
	}

	public function set_admin_fields()
	{
		return array(
			array(
				'id' => 'erp_client_code',
				'type' => 'text',
				'label' => __('Your Client Code',EC_TEXTDOMAIN)
			)
		);
	}
    function register_erply($gateways)
    {
        $gateways[] = 'ERPLY_Shipping';
        return $gateways;
    }
    function render_front_fields(){
        $sID = 'ec_'. $this->id .'_settings';
        $html = '';

        $responce = $this->erply->sendRequest('getDeliveryTypes');

        if(isset($responce->status->responseStatus) && $responce->status->responseStatus == 'ok'){
            if(!empty($responce->records)){
                foreach($responce->records as $record){
                    $html .= '<li>
                            <input type="radio" 
                            id="'. $sID.'['. $record->deliveryTypeID .']" 
                            name="shipping_method['.$this->id.']" 
                            value="' . $record->deliveryTypeID .'">
                            <label for="'. $sID.'['. $record->deliveryTypeID .']">'. $record->name .'</label>
                        </li>';
                }
            }
        }
        echo $html;

    }
}
function register_erply($gateways)
{
    $gateways[] = 'ERPLY_Shipping';
    return $gateways;
}

add_filter('ec_register_shipping_modules', 'register_erply');