<?php
class ECCron {
    public static function sync()
    {
		//no time limit
    	set_time_limit(0);
    	
		//init sync class
    	$sync = ECSync::get_instance();
    	$page = 1;

    	$getNext = true;
    	
    	//always sync categories
        $sync->sync_categories();

        //sync products
    	while ($getNext) {
    		//sync one page
            $res = $sync->sync($page, false);
            $getNext = isset($res['askNext']) ? $res['askNext'] : false; 
            $page = isset($res['nextPage']) ? $res['nextPage'] : null;
            
            //log
    		echo 'Page: #' . $page .' (queries: ' . count($res['queries']) . ')</br>';
            echo implode('', $res['result']);
    	}
        die();
    } // end sync()

} // end ECCron class