<div id="product-<?php the_ID(); ?>" <?php post_class('entry-content ec_product_full'); ?>>

    <div class="images" id="ec_swipeGallery">
        <?php echo $img ?>
    </div>

    <div class="summary">

        <h1 class="ec_product_title entry-title"><?php the_title(); ?></h1>
        <div class="description">
            <p><?php the_excerpt() ?></p>
        </div>
        <?php foreach ($attributes as $name => $label) : ?>
        <?php 
        $attr = $product->get_attr($name);
        if(!empty($attr)) : ?>
            <p class="ec_ean"><?php echo $label ?>: <span class="amount"><?php echo $attr; ?></span></p>
        <?php endif; ?>            
        <?php endforeach ?>
        <div class="product_meta">
            
        </div>

    </div><!-- .summary -->
	<div class="ec_matrix">

		<?php 
			$args = array(
			    'post_type'      => 'product',
			    'posts_per_page' => -1,
			    'post_parent'    => $product->ID,
			    'order'          => 'ASC',
			    'orderby'        => 'menu_order'
			 );

			$children = get_posts( $args );

			// var_dump($children);
		 ?>

		<table>
			<tr>
				<td><?php _e('Title', EC_TEXTDOMAIN); ?></td>
				<td><?php _e('Price', EC_TEXTDOMAIN); ?></td>
				<td><?php _e('Stock', EC_TEXTDOMAIN); ?></td>
				<td class="ec_hide_mobile"><?php _e('Qty', EC_TEXTDOMAIN); ?></td>
				<td><?php _e('Add to cart', EC_TEXTDOMAIN); ?></td>
			</tr>			
			<?php foreach ($children as $subProduct) : 
				$subProduct = new ECProduct($subProduct);
				$subStock = $subProduct->get_stock();
				$subPrice = $subProduct->get_price();
			?>			
			<tr>
				<td><?php echo $subProduct->post_title ?></td>
				<td><?php echo $subPrice ?></td>
				<td class="ec_stock">
		                <?php if(!empty($subStock)) : ?>
			                <span class="amount"><?php echo $subStock; ?></span>
			            <?php else : ?>
			                <button class="ec_getStock button" data-product="<?php echo $subProduct->ID ?>">
			                	<?php _e('Get Stock', EC_TEXTDOMAIN); ?>
			                </button>
			            <?php endif; ?>
			    </td>
			    <td class="ec_hide_mobile">
					<div class="quantity" style="float: none">
			            <input type="button" value="-" class="minus">
			            <input name="quantity" value="1" title="<?php _e('Qty', EC_TEXTDOMAIN); ?>" class="qty" maxlength="5">
			            <input type="button" value="+" class="plus">
			        </div>				    	
			    </td>
				<td>									
					<button class="ec_addToCart" data-product="<?php echo $subProduct->ID ?>" style="float: none">
						<?php _e('Add to cart', EC_TEXTDOMAIN); ?>
					</button>
                    <img src="<?= EC_URL. '/assets/img/loader.gif' ?>" class="ec_cart_preLoader" style="display: none">
				</td>
			</tr>		

			<?php endforeach ?>

		</table>
	</div>

    <div class="clear"></div>
    <?php include(EC_PATH. 'templates/parts/single-page-tabs.tpl.php'); ?>
</div>