<div id="ec_tabs">
        <ul class="ec_tab_switcher">
            <li class="description_tab"><a href="#tab-description"><?php _e('Description', EC_TEXTDOMAIN); ?></a></li>
            <!-- <li class="reviews_tab"><a href="#tab-reviews"><?php _e('Reviews', EC_TEXTDOMAIN); ?> (0)</a></li>     -->
            <?php if(!empty($parameters)): ?> 
            <li class="parameters_tab"><a href="#tab-parameters"><?php _e('Parameters', EC_TEXTDOMAIN); ?></a></li>     
            <?php endif; ?>  
            <?php if(!empty($files)): ?> 
            <li class="files_tab"><a href="#tab-files"><?php _e('Files', EC_TEXTDOMAIN); ?></a></li>     
            <?php endif; ?>   
            <?php if(!empty($replacementProducts)): ?> 
            <li class="replacement_products_tab"><a href="#tab-replacementProducts"><?php _e('Replacement Products', EC_TEXTDOMAIN); ?></a></li>     
            <?php endif; ?>  
            <?php if(!empty($relatedProducts)): ?> 
            <li class="related_products_tab"><a href="#tab-relatedProducts"><?php _e('Related Products', EC_TEXTDOMAIN); ?></a></li>     
            <?php endif; ?>
        </ul>
                
        <div class="panel" id="tab-description" style="display: block;">        
            <h2><?php _e('Product Description', EC_TEXTDOMAIN); ?></h2>
            <p><?php the_content(); ?></p>
        </div>
    
        <!-- <div class="panel" id="tab-reviews" style="display: none;">
            <div id="comments"> -->
                <?php //comments_template(); ?>
        <!--   </div>
        </div> -->
        
        <?php if(!empty($replacementProducts)): ?> 
        <div class="panel" id="tab-replacementProducts" style="display: none;">
            <?php 
                foreach ($replacementProducts as $product) :
                    $img = $product->get_thumb(null, true);
                    $promotedPrice = null;
                    $price = $product->get_price();
                    ?>
                    <div class="ec_product">
                        <h3><a href="<?php echo $product->guid ?>"><?php echo $product->post_title; ?></a></h3>
                        <a href="<?php echo $product->guid ?>" class="ec_smallThum"><?php echo $img ?></a>
                        <?php
                        if(!empty($price)): ?>
                            <div class="ec_product_price"><span><?php _e('Price', EC_TEXTDOMAIN); ?>:</span> <?php echo $price; ?></div>
                            <a href="<?php echo get_permalink($product->ID) ?>" class="button"><?php _e('View more', EC_TEXTDOMAIN); ?></a>
                            <?php
                        endif; ?>
                    </div>
            <?php endforeach; ?>
        </div>    
        <?php endif; ?>

        <?php if(!empty($relatedProducts)): ?> 
        <div class="panel" id="tab-relatedProducts" style="display: none;">
            <?php 
                foreach ($relatedProducts as $product) :
                    $img = $product->get_thumb(null, true);
                    $promotedPrice = null;
                    $price = $product->get_price();
                    ?>
                    <div class="ec_product">
                        <h3><a href="<?php echo $product->guid ?>"><?php echo $product->post_title; ?></a></h3>
                        <a href="<?php echo $product->guid ?>" class="ec_smallThum"><?php echo $img ?></a>
                        <?php
                        if(!empty($price)): ?>
                            <div class="ec_product_price"><span><?php _e('Price', EC_TEXTDOMAIN); ?>:</span> <?php echo $price; ?></div>
                            <a href="<?php echo get_permalink($product->ID) ?>" class="button"><?php _e('View more', EC_TEXTDOMAIN); ?></a>
                            <?php
                        endif; ?>
                    </div>
            <?php endforeach; ?>
        </div>    
        <?php endif; ?>


        <?php if(!empty($parameters)): ?>
        <div class="panel" id="tab-parameters" style="diplay: none">            
            <table>
                <tr>
                    <th><?php _e('Name', EC_TEXTDOMAIN); ?></th>
                    <th><?php _e('Value', EC_TEXTDOMAIN); ?></th>
                </tr>
                <?php foreach ($parameters as $attr) : ?>
                <tr>
                    <td><?php echo $attr['name'] ?></td>
                    <td><?php echo $attr['value'] ?></td>
                </tr>                
                <?php endforeach; ?>
            </table>               
        </div>
        <?php endif; ?>


        <?php if(!empty($files)): ?>
        <div class="panel" id="tab-files" style="diplay: none"> 
            <dl>
                <?php foreach ($files as $file) : ?>
                    <dt>
                        <a href="<?php echo $file->fileURL ?>">
                            <?php echo $file->name ?>
                        </a>
                    </dt>
                    <dd>
                        <?php echo $file->typeName ?>
                    </dd>
                <?php endforeach; ?>
            </dl>
        </div>
        <?php endif; ?>
    </div>