<?php get_header(); ?>
    <?php do_action( 'ec_before_content'); ?>
            <?php while (have_posts()) : the_post(); ?>
                <?php

                try {                    
                    $product = new ECProduct(get_the_ID());

                    $img = $product->get_thumb('small');
                    $parameters = $product->get_attributes(); 
                    $stock = $product->get_stock();
                    $price = $product->get_price();
                    $files = $product->get_files();

                    // dd($attributes);
                    
                    $replacementProducts = $product->get_replacement_products();
                    $relatedProducts = $product->get_related_products();

                    // $meta = get_post_meta( get_the_ID() );
                    // dd($meta);

                    $attributes = apply_filters( 'ec_single_product_attributes', array(
                        'code2' => __('EAN', EC_TEXTDOMAIN),
                        'width' => __('Width', EC_TEXTDOMAIN),
                        'height' => __('Height', EC_TEXTDOMAIN),
                        'length' => __('Length', EC_TEXTDOMAIN),
                        'series' => __('Series', EC_TEXTDOMAIN),
                        'unit_name' => __('Unit Name', EC_TEXTDOMAIN),
                        'brand_name' => __('Brand Name', EC_TEXTDOMAIN)
                    ) );



                    if($product->get_attr('type') == 'MATRIX') {
                        if( '' === ( $template = locate_template( 'content-matrix-product.php' ) ) )
                            $template = 'content-matrix-product.php';
                        include( $template );
                    } else {
                        if( '' === ( $template = locate_template( 'content-product.php' ) ) )
                            $template = 'content-product.php';
                        include( $template );
                    }
                } catch(ECException $e) {
                    echo __('No Product found', EC_TEXTDOMAIN);
                }

                            

                
                ?>
            <?php endwhile; // end of the loop. ?>
    <?php do_action( 'ec_after_content'); ?>
<?php get_sidebar(); ?>
<?php get_footer(); ?>