<div class="wrap">
    <div id="icon-tools" class="icon32"><br></div>
    <h2><?php _e('eCommerce Shopping Cart by Inventory.com', EC_TEXTDOMAIN); ?></h2>
    <div style="font-size:14px; margin-top: 15px; margin-bottom: 30px;">
    	 <h2><?php _e('1. All management tasks can be done in Inventory.com backend', EC_TEXTDOMAIN); ?></h2>
    	 <ul>
		 	<li>Manage products and product groups</li>
		 	<li>Manage customers and accounts</li>
		 	<li>Fulfill orders</li>
		 	<li>Manage coupons, promotions and price lists</li>
		 	<li>View reports</li>
		 </ul>
		 <a href="http://www.inventory.com/login/" target="_blank" style="height: 40px; line-height: 40px; font-size: 20px;" class="button-primary"><?php _e('Log in to Inventory.com backend', EC_TEXTDOMAIN); ?></a>
	</div>
    <?php if (!empty($this->msg)) : ?>
        <div class="updated"><p><strong><?php echo $this->msg ?></strong></p></div>
    <?php endif; ?>
    <div class="content">
    	<h2 style="margin-bottom: 14px"><?php _e('2. Synchronize products when done editing', EC_TEXTDOMAIN); ?></h2>
        <a href="#" style="height: 40px; line-height: 40px; font-size: 20px;" class="ec_sync button-primary"><?php _e('Synchronize', EC_TEXTDOMAIN); ?></a>
        <img src="<?php echo EC_URL . '/assets/img/loader.gif' ?>" class="ec_loader" alt="">
        <?php if (isset($this->log['page'])): ?>
            <small>
                <?php printf(__('Last import failed at page %d.', EC_TEXTDOMAIN), $this->log['page']) ?> <?php printf(__('Starting import at page %d', EC_TEXTDOMAIN), $this->log['page']) ?>
            </small>
        <?php endif; ?>
        <!-- <a href="<?php echo $_SERVER['SCRIPT_URI']; ?>?page=erply-cart&amp;action=test" class="button">
            <?php _e('Test', EC_TEXTDOMAIN); ?>
        </a> -->

        <div class="ec_progress">
            <h3><?php _e('Sync log', EC_TEXTDOMAIN); ?>:</h3>
            <textarea class="ec_category_result"></textarea>

            <h3><?php _e('Product sync progress', EC_TEXTDOMAIN); ?></h3>

            <div class="ec_progress_bar">
                <div class="ec_inner_bar"></div>
            </div>
            <div class="ec_count">
                <span class="count">0</span> /
                <span class="total">0</span>
            </div>
        </div>
        
        <div style="font-size: 12px; clear:both;">
	        <a href="<?php echo $_SERVER['SCRIPT_URI']; ?>?page=erply-cart&amp;action=flush">
	            <?php _e('Delete all existing products', EC_TEXTDOMAIN); ?>
	        </a> - <?php _e('use this only if you are having problems with your sync and want to re-import all products and groups from Inventory.com.', EC_TEXTDOMAIN); ?>
	    </div>
    </div>
</div>