<div class="wrap">
    <div id="icon-themes" class="icon32"><br></div>
    <h2><?php _e('Settings', EC_TEXTDOMAIN); ?></h2>
    <?php settings_errors(); ?>
        
    <?php 
    
	// Settings tabs
	$ec_login_settings = get_option('ec_login_settings');
	if ($ec_login_settings['username'] && $ec_login_settings['password'] && $ec_login_settings['clientID']) {
		$current = isset($_GET['tab']) ? $_GET['tab'] : 'main';
		$tabs = array(
			'main' => __('Main Settings',EC_TEXTDOMAIN),
			'pages' => __('Pages',EC_TEXTDOMAIN),
			//'design' => __('Design',EC_TEXTDOMAIN),
			'gateway' => __('Payment Gateways',EC_TEXTDOMAIN),
			'shipping' => __('Shipping Modules',EC_TEXTDOMAIN),
			'log' => __('Log', EC_TEXTDOMAIN),
			'phpinfo' => __('PHP Info', EC_TEXTDOMAIN),
			'login' => __('Login',EC_TEXTDOMAIN),
		);
	} else {
		$current = isset($_GET['tab']) ? $_GET['tab'] : 'login';
		$tabs = array(
			'login' => __('Login',EC_TEXTDOMAIN),
		);
	}
	
	if(!array_key_exists($current,$tabs)) $current = 'main';
    echo '<h2 class="nav-tab-wrapper">';
    foreach( $tabs as $tab => $name ){
        $class = ( $tab == $current ) ? ' nav-tab-active' : '';
        echo "<a class='nav-tab$class' href='?page=erply-cart-settings&tab=$tab'>$name</a>";
    }
    echo '</h2>';

    if($current == 'log') :
        $output = array();
        $i = 0;
        foreach (new DirectoryIterator(EC_PATH . 'log') as $file) {
            if ($file->isFile()) {
                $extension = $file_extension = pathinfo($file->getFilename(), PATHINFO_EXTENSION);
                if($extension === 'txt')
                    $output[$file->getCTime()] = $file->getFileName();
            }
        }
        krsort($output);
        $first = key($output);
        $selected = isset($_GET['ec_log']) ? $_GET['ec_log'] : $first;
        $lastLogContents = nl2br(file_get_contents(EC_PATH . 'log/' . $output[$selected]));
        ?>
        <div class="ec_log">
        	<div style="padding: 20px 0px;">Here's some technical information. If you run into trouble with the module, you can copy the logs and send to our support team. We should then be able to figure out what the problem is.</div>
            <select name="#" id="ec_log_select">
                <?php foreach($output as $key => $file) : ?>
                    <option value="<?php echo $key ?>" <?php echo $selected == $key ? 'selected="selected"' : '' ?>><?php echo $file ?></option>
                <?php endforeach ?>
            </select>

            <div class="ec_log_contents">
                <?php echo $lastLogContents ?>
            </div>
        </div>
    <?php elseif($current == 'phpinfo') : ?>
        <div class="ec_phpinfo">
            <div style="padding: 20px 0px;">Here's some more technical information. If you run into trouble with the module, you can copy the text here and send to our support team. We should then be able to figure out what the problem is.</div>
            <?php phpinfo() ?>
        </div>
    <?php else: ?>
    <form method="post" action="options.php">
      <?php
      settings_fields( 'ecs_'.$current.'_section' );
      do_settings_sections( 'erply-'.$current.'-settings' );
      submit_button();
      ?>
    </form>
    <?php endif; ?>
</div>